summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/invasion3d/README5
-rw-r--r--games/invasion3d/doinst.sh4
-rw-r--r--games/invasion3d/invasion3d.SlackBuild88
-rw-r--r--games/invasion3d/invasion3d.info11
-rw-r--r--games/invasion3d/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/games/invasion3d/README b/games/invasion3d/README
new file mode 100644
index 0000000000..4a40f8b47a
--- /dev/null
+++ b/games/invasion3d/README
@@ -0,0 +1,5 @@
+Invasion3D is 3d version of space invaders.
+
+the make file looks at the current system for its compile
+options, and handles pure 32bit, 64bit, and multilib
+(but I only test pure 32 or 64bit)
diff --git a/games/invasion3d/doinst.sh b/games/invasion3d/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/invasion3d/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/invasion3d/invasion3d.SlackBuild b/games/invasion3d/invasion3d.SlackBuild
new file mode 100644
index 0000000000..c0fc9c0b08
--- /dev/null
+++ b/games/invasion3d/invasion3d.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+# Slackware build script for invasion3d
+#
+# Copyright 2017 Tim Dickson, Scotland,UK
+# All rights reserved.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=invasion3d
+VERSION=${VERSION:-1.0.4b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm
+ NO_ASM=1 ;;
+ # this turns off mmx optimised assembly for arm
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+#this next stuff might not be used....
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+#end of bit that might not be used
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make install NO_ASM=1 BINDIR=/usr/games MEDIADIR=/usr/share/$PRGNAM DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a {LICENSE,README,RELEASE} $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/invasion3d/invasion3d.info b/games/invasion3d/invasion3d.info
new file mode 100644
index 0000000000..d609ae26da
--- /dev/null
+++ b/games/invasion3d/invasion3d.info
@@ -0,0 +1,11 @@
+PRGNAM="invasion3d"
+VERSION="1.0.4b"
+HOMEPAGE="http://www.fascinationsoftware.com/FS/html/Invasion3D.html"
+DOWNLOAD="https://github.com/richard42/invasion3d/archive/1.0.4b/invasion3d-1.0.4b.tar.gz"
+MD5SUM="979943b6d58d42768bff0179f2daa209"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"
+
diff --git a/games/invasion3d/slack-desc b/games/invasion3d/slack-desc
new file mode 100644
index 0000000000..fba5dcd190
--- /dev/null
+++ b/games/invasion3d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+invasion3d: invasion3d (Retro Style Space Invader Game)
+invasion3d:
+invasion3d: invasion 3d is a retro style space-invaders with a 3d twist to it.
+invasion3d: written by fascination software using SDL and OpenGL.
+invasion3d:
+invasion3d: web site is http://www.fascinationsoftware.com
+invasion3d:
+invasion3d:
+invasion3d:
+invasion3d:
+invasion3d: